#if _MSC_VER >= 1100
#pragma once
#endif // _MSC_VER >= 1100
#ifndef __INC_AFLPEERCASTSKIN

#include <string>
#include "aflUnix.h"

class AflPeercastSkin
{
public:
	AflPeercastSkin();
	bool open(LPCSTR fileName);
	LPCSTR getHead()const{return m_skinHead.c_str();}
	LPCSTR getInfo()const{return m_skinInfo.c_str();}
	LPCSTR getFoot()const{return m_skinFoot.c_str();}
	LPCSTR getSearch()const{return m_skinSearch.c_str();}
	LPCSTR getChannelFoot()const{return m_skinChannelFoot.c_str();}
	LPCSTR getChannelHead()const{return m_skinChannelHead.c_str();}
	LPCSTR getChannel()const{return m_skinChannel.c_str();}
	LPCSTR getChannelNot()const{return m_skinChannelNot.c_str();}
	LPCSTR getRelay()const{return m_skinRelay.c_str();}
	LPCSTR getRelayHead()const{return m_skinRelayHead.c_str();}
	LPCSTR getRelayFoot()const{return m_skinRelayFoot.c_str();}
	LPCSTR getBroadcastFoot()const{return m_skinBroadcastFoot.c_str();}
	LPCSTR getBroadcast()const{return m_skinBroadcast.c_str();}
	LPCSTR getBroadcastHead()const{return m_skinBroadcastHead.c_str();}
private:
	std::string m_skinHead;
	std::string m_skinFoot;
	std::string m_skinInfo;
	std::string m_skinSearch;
	std::string m_skinChannel;
	std::string m_skinChannelNot;
	std::string m_skinChannelHead;
	std::string m_skinChannelFoot;
	std::string m_skinRelayHead;
	std::string m_skinRelayFoot;
	std::string m_skinRelay;
	std::string m_skinBroadcast;
	std::string m_skinBroadcastHead;
	std::string m_skinBroadcastFoot;
};

extern AflPeercastSkin skinMgr;

#define __INC_AFLPEERCASTSKIN
#endif
